Forum > Editor

lazarus error, need help

<< < (2/5) > >>

Marc:
This image is not different tha the first one.  We need more info to help you

Anonymous:
I have install :
fpcsrc-1.9.5-040821.tgz with  Lazarus 0.9.2.0( lazarus-040822.tgz)  on freebsd 5.21 /4.10
lazarus-0.9.1.4 with fpc_1.9.3 on freebsd 5.21 /4.10
lazarus0.9.1.2 with fpc 1.9.3 on freebsd 4.10
lazarus-0.9.0.8 and fpc_1.9.2_040106. on freebsd 4.10
get same error as above screenshot
I don't know how to fix it,so I deinstall and  reinstall many times  . thinks.

Marc:
from https://sourceforge.net/project/showfiles.php?group_id=89339&package_id=93718

you need all 3 links listed under lazarus 0.9.2.0

so if you want the lazarus binary from lazarus-040822.tgz you need a compiler and compiler source version fpc_1.9.5_040808  

If you want to build lazarus yourself, the fpc version and fpc source version needs to be the same.

Anonymous:
I  have install fpc sources and set Environment Options->fpc source directory to "/root/Desktop/fpc "(I am decompressing fpcsrc package file there and install it)
I can using lazarus open examples project and compile them without error,but I can't edit new button(or other component  I drop to form) envents procedure code. if I double click the button component  ,It alert "error in Tdefaultcomponenteditor " msgbox as screenshot.

Anonymous:
I built fpc_1.9.5-src using fpc 1.0.10 compiler ,then  built lazarus 0.9.2.0-src using fpc_1.9.5 compiler , and then rebuilt fpc_1.9.5-src with fpc_1.9.5 compiler .something wrong?

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version